package org.fouram.controller;

import org.fouram.core.base.controller.BaseController;
import org.fouram.core.util.ResultUtil;
import org.fouram.dto.input.MessageUserDeleteDTO;
import org.fouram.dto.input.MessageUserQueryListDTO;
import org.fouram.dto.input.MessageUserSaveDTO;
import org.fouram.dto.output.MessageUserQueryListOutput;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

@Controller
@Api(value = "消息用户相关接口")
@RequestMapping(value = "/messageUser")
public class MessageUserController extends BaseController {

	@ApiResponses(@ApiResponse(response = MessageUserQueryListOutput.class, code = 200, message = "success"))
	@ApiOperation(value = "查询发送消息用户列表")
	@PostMapping(value = "/queryList", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object queryList(@RequestBody MessageUserQueryListDTO dto) throws Exception {
		return ResultUtil.success(null, "操作成功");
	}

	@ApiOperation(value = "新增消息用户")
	@PostMapping(value = "/saveUser", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object saveUser(@RequestBody MessageUserSaveDTO dto) throws Exception {
		return ResultUtil.success(null, "操作成功");
	}
	
	@ApiOperation(value = "删除消息用户")
	@PostMapping(value = "/deleteUser", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object deleteUser(@RequestBody MessageUserDeleteDTO dto) throws Exception {
		return ResultUtil.success(null, "操作成功");
	}
}
